We no longer need jhdf5. deleting all dependencies. Closes bug #11556 and remove...
[scilab.git] / scilab / modules / boolean / Makefile.in
1 # Makefile.in generated by automake 1.11.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
20 #
21 # This file is distributed under the same license as the Scilab package.
22
23 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
24 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
25 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
26 #
27 # This file must be used under the terms of the CeCILL.
28 # This source file is licensed as described in the file COPYING, which
29 # you should have received as part of this distribution.  The terms
30 # are also available at
31 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
32 #
33
34 ##########
35 ### Makefile included stuff
36 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
37 ##########
38
39
40 VPATH = @srcdir@
41 am__make_dryrun = \
42   { \
43     am__dry=no; \
44     case $$MAKEFLAGS in \
45       *\\[\ \   ]*) \
46         echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
47           | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
48       *) \
49         for am__flg in $$MAKEFLAGS; do \
50           case $$am__flg in \
51             *=*|--*) ;; \
52             *n*) am__dry=yes; break;; \
53           esac; \
54         done;; \
55     esac; \
56     test $$am__dry = yes; \
57   }
58 pkgdatadir = $(datadir)/@PACKAGE@
59 pkgincludedir = $(includedir)/@PACKAGE@
60 pkglibdir = $(libdir)/@PACKAGE@
61 pkglibexecdir = $(libexecdir)/@PACKAGE@
62 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
63 install_sh_DATA = $(install_sh) -c -m 644
64 install_sh_PROGRAM = $(install_sh) -c
65 install_sh_SCRIPT = $(install_sh) -c
66 INSTALL_HEADER = $(INSTALL_DATA)
67 transform = $(program_transform_name)
68 NORMAL_INSTALL = :
69 PRE_INSTALL = :
70 POST_INSTALL = :
71 NORMAL_UNINSTALL = :
72 PRE_UNINSTALL = :
73 POST_UNINSTALL = :
74 build_triplet = @build@
75 host_triplet = @host@
76 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
77         $(top_srcdir)/Makefile.incl.am
78 @NEED_JAVA_TRUE@am__append_1 = java
79 subdir = modules/boolean
80 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
81 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
82         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/docbook.m4 \
83         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
84         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
85         $(top_srcdir)/m4/intel_compiler.m4 \
86         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
87         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
88         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
89         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
90         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
91         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
92         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
93         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
94         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
95         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
96         $(top_srcdir)/configure.ac
97 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
98         $(ACLOCAL_M4)
99 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
100 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
101 CONFIG_CLEAN_FILES =
102 CONFIG_CLEAN_VPATH_FILES =
103 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
104 am__vpath_adj = case $$p in \
105     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
106     *) f=$$p;; \
107   esac;
108 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
109 am__install_max = 40
110 am__nobase_strip_setup = \
111   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
112 am__nobase_strip = \
113   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
114 am__nobase_list = $(am__nobase_strip_setup); \
115   for p in $$list; do echo "$$p $$p"; done | \
116   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
117   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
118     if (++n[$$2] == $(am__install_max)) \
119       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
120     END { for (dir in files) print dir, files[dir] }'
121 am__base_list = \
122   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
123   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
124 am__uninstall_files_from_dir = { \
125   test -z "$$files" \
126     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
127     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
128          $(am__cd) "$$dir" && rm -f $$files; }; \
129   }
130 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
131         "$(DESTDIR)$(libsciboolean_la_etcdir)" \
132         "$(DESTDIR)$(libsciboolean_la_rootdir)" \
133         "$(DESTDIR)$(libsciboolean_la_sci_gatewaydir)"
134 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
135 libsciboolean_algo_la_LIBADD =
136 am__objects_1 = libsciboolean_algo_la-matboolean.lo \
137         libsciboolean_algo_la-vect_or.lo \
138         libsciboolean_algo_la-vect_and.lo
139 am__objects_2 = logic.lo find.lo
140 am_libsciboolean_algo_la_OBJECTS = $(am__objects_1) $(am__objects_2)
141 libsciboolean_algo_la_OBJECTS = $(am_libsciboolean_algo_la_OBJECTS)
142 @MAINTAINER_MODE_FALSE@am_libsciboolean_algo_la_rpath =
143 @MAINTAINER_MODE_TRUE@am_libsciboolean_algo_la_rpath =
144 libsciboolean_la_DEPENDENCIES = libsciboolean-algo.la
145 am__objects_3 = libsciboolean_la-sci_and.lo libsciboolean_la-sci_or.lo \
146         libsciboolean_la-sci_find.lo libsciboolean_la-sci_bool2s.lo \
147         libsciboolean_la-gw_boolean.lo
148 am__objects_4 = sci_f_bool2s.lo sci_f_find.lo
149 am_libsciboolean_la_OBJECTS = $(am__objects_3) $(am__objects_4)
150 libsciboolean_la_OBJECTS = $(am_libsciboolean_la_OBJECTS)
151 @MAINTAINER_MODE_FALSE@am_libsciboolean_la_rpath =
152 @MAINTAINER_MODE_TRUE@am_libsciboolean_la_rpath = -rpath $(pkglibdir)
153 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
154 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
155 am__depfiles_maybe = depfiles
156 am__mv = mv -f
157 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
158         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
159 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
160         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
161         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
162 CCLD = $(CC)
163 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
164         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
165         $(LDFLAGS) -o $@
166 F77COMPILE = $(F77) $(AM_FFLAGS) $(FFLAGS)
167 LTF77COMPILE = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
168         --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS)
169 F77LD = $(F77)
170 F77LINK = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
171         --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) $(AM_LDFLAGS) \
172         $(LDFLAGS) -o $@
173 SOURCES = $(libsciboolean_algo_la_SOURCES) $(libsciboolean_la_SOURCES)
174 DIST_SOURCES = $(libsciboolean_algo_la_SOURCES) \
175         $(libsciboolean_la_SOURCES)
176 am__can_run_installinfo = \
177   case $$AM_UPDATE_INFO_DIR in \
178     n|no|NO) false;; \
179     *) (install-info --version) >/dev/null 2>&1;; \
180   esac
181 DATA = $(libsciboolean_la_etc_DATA) $(libsciboolean_la_root_DATA) \
182         $(libsciboolean_la_sci_gateway_DATA)
183 ETAGS = etags
184 CTAGS = ctags
185 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
186 ACLOCAL = @ACLOCAL@
187 ALL_LINGUAS = @ALL_LINGUAS@
188 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
189 AMTAR = @AMTAR@
190 ANT = @ANT@
191 ANTLR = @ANTLR@
192 AR = @AR@
193 ARPACK_LIBS = @ARPACK_LIBS@
194 ASM3 = @ASM3@
195 AUTOCONF = @AUTOCONF@
196 AUTOHEADER = @AUTOHEADER@
197 AUTOMAKE = @AUTOMAKE@
198 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
199 AWK = @AWK@
200 BATIK = @BATIK@
201 BLAS_LIBS = @BLAS_LIBS@
202 CC = @CC@
203 CCACHE = @CCACHE@
204 CCDEPMODE = @CCDEPMODE@
205 CFLAGS = @CFLAGS@
206 CHECKSTYLE = @CHECKSTYLE@
207 COBERTURA = @COBERTURA@
208 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
209 COMMONS_IO = @COMMONS_IO@
210 COMMONS_LOGGING = @COMMONS_LOGGING@
211 CPP = @CPP@
212 CPPFLAGS = @CPPFLAGS@
213 CXX = @CXX@
214 CXXCPP = @CXXCPP@
215 CXXDEPMODE = @CXXDEPMODE@
216 CXXFLAGS = @CXXFLAGS@
217 CYGPATH_W = @CYGPATH_W@
218 DEFS = @DEFS@
219 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
220 DEPDIR = @DEPDIR@
221 DOCBOOK_ROOT = @DOCBOOK_ROOT@
222 DSYMUTIL = @DSYMUTIL@
223 DUMPBIN = @DUMPBIN@
224 ECHO_C = @ECHO_C@
225 ECHO_N = @ECHO_N@
226 ECHO_T = @ECHO_T@
227 EGREP = @EGREP@
228 EXEEXT = @EXEEXT@
229 F77 = @F77@
230 FFLAGS = @FFLAGS@
231 FFTW3_LIB = @FFTW3_LIB@
232 FFTW_ENABLE = @FFTW_ENABLE@
233 FGREP = @FGREP@
234 FLEXDOCK = @FLEXDOCK@
235 FLIBS = @FLIBS@
236 FOP = @FOP@
237 GENHTML = @GENHTML@
238 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
239 GIWS_BIN = @GIWS_BIN@
240 GLUEGEN2_RT = @GLUEGEN2_RT@
241 GMSGFMT = @GMSGFMT@
242 GMSGFMT_015 = @GMSGFMT_015@
243 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
244 GREP = @GREP@
245 GUI_ENABLE = @GUI_ENABLE@
246 HDF5_CFLAGS = @HDF5_CFLAGS@
247 HDF5_LIBS = @HDF5_LIBS@
248 HELP_ENABLE = @HELP_ENABLE@
249 INSTALL = @INSTALL@
250 INSTALL_DATA = @INSTALL_DATA@
251 INSTALL_PROGRAM = @INSTALL_PROGRAM@
252 INSTALL_SCRIPT = @INSTALL_SCRIPT@
253 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
254 INTLLIBS = @INTLLIBS@
255 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
256 JAR = @JAR@
257 JAVA = @JAVA@
258 JAVAC = @JAVAC@
259 JAVAC_DEBUG = @JAVAC_DEBUG@
260 JAVADOC = @JAVADOC@
261 JAVAH = @JAVAH@
262 JAVASCI_ENABLE = @JAVASCI_ENABLE@
263 JAVA_ENABLE = @JAVA_ENABLE@
264 JAVA_G = @JAVA_G@
265 JAVA_HOME = @JAVA_HOME@
266 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
267 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
268 JDB = @JDB@
269 JEUCLID_CORE = @JEUCLID_CORE@
270 JGRAPHX = @JGRAPHX@
271 JHALL = @JHALL@
272 JLATEXMATH = @JLATEXMATH@
273 JLATEXMATH_FOP = @JLATEXMATH_FOP@
274 JOGL2 = @JOGL2@
275 JROSETTA_API = @JROSETTA_API@
276 JROSETTA_ENGINE = @JROSETTA_ENGINE@
277 JUNIT4 = @JUNIT4@
278 LAPACK_LIBS = @LAPACK_LIBS@
279 LCOV = @LCOV@
280 LD = @LD@
281 LDFLAGS = @LDFLAGS@
282 LIBICONV = @LIBICONV@
283 LIBINTL = @LIBINTL@
284 LIBM = @LIBM@
285 LIBOBJS = @LIBOBJS@
286 LIBS = @LIBS@
287 LIBTOOL = @LIBTOOL@
288 LIPO = @LIPO@
289 LN_S = @LN_S@
290 LOGGING_LEVEL = @LOGGING_LEVEL@
291 LOOKS = @LOOKS@
292 LTLIBICONV = @LTLIBICONV@
293 LTLIBINTL = @LTLIBINTL@
294 LTLIBOBJS = @LTLIBOBJS@
295 MAINT = @MAINT@
296 MAKEINFO = @MAKEINFO@
297 MATIO_CFLAGS = @MATIO_CFLAGS@
298 MATIO_ENABLE = @MATIO_ENABLE@
299 MATIO_LIBS = @MATIO_LIBS@
300 MKDIR_P = @MKDIR_P@
301 MSGCAT = @MSGCAT@
302 MSGFMT = @MSGFMT@
303 MSGFMT_015 = @MSGFMT_015@
304 MSGMERGE = @MSGMERGE@
305 NM = @NM@
306 NMEDIT = @NMEDIT@
307 OBJDUMP = @OBJDUMP@
308 OBJEXT = @OBJEXT@
309 OCAMLC = @OCAMLC@
310 OCAMLDEP = @OCAMLDEP@
311 OCAMLLEX = @OCAMLLEX@
312 OCAMLOPT = @OCAMLOPT@
313 OCAMLYACC = @OCAMLYACC@
314 OPENMP_CFLAGS = @OPENMP_CFLAGS@
315 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
316 OPENMP_ENABLE = @OPENMP_ENABLE@
317 OPENMP_LIBS = @OPENMP_LIBS@
318 OTOOL = @OTOOL@
319 OTOOL64 = @OTOOL64@
320 PACKAGE = @PACKAGE@
321 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
322 PACKAGE_NAME = @PACKAGE_NAME@
323 PACKAGE_STRING = @PACKAGE_STRING@
324 PACKAGE_TARNAME = @PACKAGE_TARNAME@
325 PACKAGE_URL = @PACKAGE_URL@
326 PACKAGE_VERSION = @PACKAGE_VERSION@
327 PATH_SEPARATOR = @PATH_SEPARATOR@
328 PCRE_CFLAGS = @PCRE_CFLAGS@
329 PCRE_CONFIG = @PCRE_CONFIG@
330 PCRE_LIBS = @PCRE_LIBS@
331 PCRE_VERSION = @PCRE_VERSION@
332 PKG_CONFIG = @PKG_CONFIG@
333 POSUB = @POSUB@
334 POW_LIB = @POW_LIB@
335 PYTHON = @PYTHON@
336 RANLIB = @RANLIB@
337 RELOCATABLE = @RELOCATABLE@
338 RT_LIB = @RT_LIB@
339 SAXON = @SAXON@
340 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
341 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
342 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
343 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
344 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
345 SCIRENDERER = @SCIRENDERER@
346 SCI_CFLAGS = @SCI_CFLAGS@
347 SCI_CXXFLAGS = @SCI_CXXFLAGS@
348 SCI_FFLAGS = @SCI_FFLAGS@
349 SCI_LDFLAGS = @SCI_LDFLAGS@
350 SED = @SED@
351 SET_MAKE = @SET_MAKE@
352 SET_RELOCATABLE = @SET_RELOCATABLE@
353 SHELL = @SHELL@
354 SKINLF = @SKINLF@
355 SPLINT = @SPLINT@
356 STRIP = @STRIP@
357 SWIG_BIN = @SWIG_BIN@
358 SWIG_JAVA = @SWIG_JAVA@
359 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
360 TCLTK_LIBS = @TCLTK_LIBS@
361 TCL_INC_PATH = @TCL_INC_PATH@
362 TK_INC_PATH = @TK_INC_PATH@
363 UMFPACK_ENABLE = @UMFPACK_ENABLE@
364 UMFPACK_LIB = @UMFPACK_LIB@
365 USE_NLS = @USE_NLS@
366 VERSION = @VERSION@
367 WITH_OCAML = @WITH_OCAML@
368 WITH_TKSCI = @WITH_TKSCI@
369 XCOS_ENABLE = @XCOS_ENABLE@
370 XGETTEXT = @XGETTEXT@
371 XGETTEXT_015 = @XGETTEXT_015@
372 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
373 XMKMF = @XMKMF@
374 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
375 XML_APIS_EXT = @XML_APIS_EXT@
376 XML_CONFIG = @XML_CONFIG@
377 XML_FLAGS = @XML_FLAGS@
378 XML_LIBS = @XML_LIBS@
379 XML_VERSION = @XML_VERSION@
380 X_CFLAGS = @X_CFLAGS@
381 X_EXTRA_LIBS = @X_EXTRA_LIBS@
382 X_LIBS = @X_LIBS@
383 X_PRE_LIBS = @X_PRE_LIBS@
384 abs_builddir = @abs_builddir@
385 abs_srcdir = @abs_srcdir@
386 abs_top_builddir = @abs_top_builddir@
387 abs_top_srcdir = @abs_top_srcdir@
388 ac_ct_CC = @ac_ct_CC@
389 ac_ct_CXX = @ac_ct_CXX@
390 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
391 ac_ct_F77 = @ac_ct_F77@
392 am__include = @am__include@
393 am__leading_dot = @am__leading_dot@
394 am__quote = @am__quote@
395 am__tar = @am__tar@
396 am__untar = @am__untar@
397 bindir = @bindir@
398 build = @build@
399 build_alias = @build_alias@
400 build_cpu = @build_cpu@
401 build_os = @build_os@
402 build_vendor = @build_vendor@
403 builddir = @builddir@
404 cxx_present = @cxx_present@
405 datadir = @datadir@
406 datarootdir = @datarootdir@
407 docdir = @docdir@
408 dvidir = @dvidir@
409 exec_prefix = @exec_prefix@
410 host = @host@
411 host_alias = @host_alias@
412 host_cpu = @host_cpu@
413 host_os = @host_os@
414 host_vendor = @host_vendor@
415 htmldir = @htmldir@
416 includedir = @includedir@
417 infodir = @infodir@
418 install_sh = @install_sh@
419 libdir = @libdir@
420 libexecdir = @libexecdir@
421 localedir = @localedir@
422 localstatedir = @localstatedir@
423 mandir = @mandir@
424 mkdir_p = @mkdir_p@
425 oldincludedir = @oldincludedir@
426 pdfdir = @pdfdir@
427 prefix = @prefix@
428 program_transform_name = @program_transform_name@
429 psdir = @psdir@
430 sbindir = @sbindir@
431 sharedstatedir = @sharedstatedir@
432 srcdir = @srcdir@
433 sysconfdir = @sysconfdir@
434 target_alias = @target_alias@
435 top_build_prefix = @top_build_prefix@
436 top_builddir = @top_builddir@
437 top_srcdir = @top_srcdir@
438 BOOLEAN_C_SOURCES = src/c/matboolean.c \
439 src/c/vect_or.c \
440 src/c/vect_and.c
441
442 BOOLEAN_FORTRAN_SOURCES = src/fortran/logic.f \
443 src/fortran/find.f
444
445 GATEWAY_C_SOURCES = sci_gateway/c/sci_and.c \
446 sci_gateway/c/sci_or.c \
447 sci_gateway/c/sci_find.c \
448 sci_gateway/c/sci_bool2s.c \
449 sci_gateway/c/gw_boolean.c
450
451 GATEWAY_FORTRAN_SOURCES = sci_gateway/fortran/sci_f_bool2s.f \
452 sci_gateway/fortran/sci_f_find.f
453
454 libsciboolean_la_CPPFLAGS = -I$(srcdir)/includes/ \
455                                 -I$(srcdir)/src/c/ \
456                                 -I$(top_srcdir)/libs/MALLOC/includes/ \
457                                 -I$(top_srcdir)/modules/api_scilab/includes/ \
458                                 -I$(top_srcdir)/modules/localization/includes/ \
459                                 -I$(top_srcdir)/modules/output_stream/includes/ \
460                                 $(AM_CPPFLAGS)
461
462 @MAINTAINER_MODE_TRUE@pkglib_LTLIBRARIES = libsciboolean.la
463 @MAINTAINER_MODE_FALSE@noinst_LTLIBRARIES = libsciboolean-algo.la libsciboolean.la
464 @MAINTAINER_MODE_TRUE@noinst_LTLIBRARIES = libsciboolean-algo.la
465 libsciboolean_algo_la_SOURCES = $(BOOLEAN_C_SOURCES) $(BOOLEAN_FORTRAN_SOURCES)
466 libsciboolean_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_FORTRAN_SOURCES)
467 libsciboolean_algo_la_CPPFLAGS = $(libsciboolean_la_CPPFLAGS)
468
469 # For the code check (splint)
470 CHECK_SRC = $(BOOLEAN_C_SOURCES) $(GATEWAY_C_SOURCES)
471 INCLUDE_FLAGS = $(libsciboolean_la_CPPFLAGS)
472 libsciboolean_la_LIBADD = libsciboolean-algo.la
473 modulename = boolean
474
475 #### boolean : Conf files ####
476 libsciboolean_la_rootdir = $(mydatadir)
477 libsciboolean_la_root_DATA = license.txt 
478
479 #### boolean : init scripts ####
480 libsciboolean_la_etcdir = $(mydatadir)/etc
481 libsciboolean_la_etc_DATA = etc/boolean.quit etc/boolean.start
482
483 #### boolean : gateway declaration ####
484 libsciboolean_la_sci_gatewaydir = $(mydatadir)/sci_gateway
485 libsciboolean_la_sci_gateway_DATA = sci_gateway/boolean_gateway.xml
486
487 # Where all the Scilab stuff is installed (macros, help, ...)
488 mydatadir = $(pkgdatadir)/modules/$(modulename)
489
490 # Set AM_* SCI detected settings
491 AM_CPPFLAGS = $(SCI_CPPFLAGS)
492 AM_CFLAGS = $(SCI_CFLAGS)
493 AM_CXXFLAGS = $(SCI_CXXFLAGS)
494 # append includes to AM_FFLAGS to manage fortran includes
495 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
496
497 # Tag shared libraries with the Scilab version
498 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
499
500 # splint options
501 SPLINT_OPTIONS = -weak -booltype BOOL
502
503 ########################### JAVA ######################################
504 #### We are delegating java compilation to ant... Thanks to that
505 #### the procedure will be the same with Microsoft Windows (C)
506 #### and Linux/Unix
507 #######################################################################
508 TARGETS_ALL = $(am__append_1)
509
510 ################ MACROS ######################
511 # Rule to build a macro
512 # NOT USED  AT THE MOMENT
513 SUFFIXES = .sci 
514
515 ########### INSTALL DOCUMENTATION ###################
516
517 # Install documentation files into the right target
518 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
519 # automake needs the html files to be present which is not the case when
520 # we are building Scilab
521
522 # Where it should be installed
523 pkgdocdir = $(mydatadir)
524
525 # What is the mask of the help source
526 DOCMASKXML = *.xml
527
528 # What is the mask of the MathML sources
529 DOCMASKMML = *.mml
530
531 ########### INSTALL DATA ###################
532 # Install macros, help & demos
533 # Where it should be installed
534 pkgmacrosdir = $(mydatadir)
535 # Which directory we process
536 MACRODIRS = macros/
537 # Mask of the Scilab sources macros
538 MACROMASK = *.sci
539 # Mask of the Scilab executable sources macros
540 MACROBUILDMASK = *.sce
541 # Mask of the Scilab compiled macros
542 MACROBINMASK = *.bin
543 # List of the standard directory for tests
544 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
545 # Where the demos should be installed
546 pkgdemosdir = $(mydatadir)
547 # List of the standard directory for demos
548 DEMOS_DIR = demos
549 # List of the standard directory for examples
550 EXAMPLES_DIR = examples
551 # Where to export JAVA archives (.jar)
552 JARDIR = jar/
553 # JAR files mask
554 JARMASK = *.jar
555 # Chapter file 
556 HELP_CHAPTERDIR = help/
557 HELP_CHAPTERFILE = addchapter.sce
558 HELP_CHAPTERLANG = en_US fr_FR pt_BR
559 all: all-am
560
561 .SUFFIXES:
562 .SUFFIXES: .sci .bin .c .f .lo .o .obj
563 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
564         @for dep in $?; do \
565           case '$(am__configure_deps)' in \
566             *$$dep*) \
567               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
568                 && { if test -f $@; then exit 0; else break; fi; }; \
569               exit 1;; \
570           esac; \
571         done; \
572         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/boolean/Makefile'; \
573         $(am__cd) $(top_srcdir) && \
574           $(AUTOMAKE) --foreign modules/boolean/Makefile
575 .PRECIOUS: Makefile
576 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
577         @case '$?' in \
578           *config.status*) \
579             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
580           *) \
581             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
582             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
583         esac;
584 $(top_srcdir)/Makefile.incl.am:
585
586 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
587         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
588
589 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
590         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
591 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
592         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
593 $(am__aclocal_m4_deps):
594
595 clean-noinstLTLIBRARIES:
596         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
597         @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
598           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
599           test "$$dir" != "$$p" || dir=.; \
600           echo "rm -f \"$${dir}/so_locations\""; \
601           rm -f "$${dir}/so_locations"; \
602         done
603 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
604         @$(NORMAL_INSTALL)
605         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
606         list2=; for p in $$list; do \
607           if test -f $$p; then \
608             list2="$$list2 $$p"; \
609           else :; fi; \
610         done; \
611         test -z "$$list2" || { \
612           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
613           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
614           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
615           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
616         }
617
618 uninstall-pkglibLTLIBRARIES:
619         @$(NORMAL_UNINSTALL)
620         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
621         for p in $$list; do \
622           $(am__strip_dir) \
623           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
624           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
625         done
626
627 clean-pkglibLTLIBRARIES:
628         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
629         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
630           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
631           test "$$dir" != "$$p" || dir=.; \
632           echo "rm -f \"$${dir}/so_locations\""; \
633           rm -f "$${dir}/so_locations"; \
634         done
635 libsciboolean-algo.la: $(libsciboolean_algo_la_OBJECTS) $(libsciboolean_algo_la_DEPENDENCIES) $(EXTRA_libsciboolean_algo_la_DEPENDENCIES) 
636         $(F77LINK) $(am_libsciboolean_algo_la_rpath) $(libsciboolean_algo_la_OBJECTS) $(libsciboolean_algo_la_LIBADD) $(LIBS)
637 libsciboolean.la: $(libsciboolean_la_OBJECTS) $(libsciboolean_la_DEPENDENCIES) $(EXTRA_libsciboolean_la_DEPENDENCIES) 
638         $(F77LINK) $(am_libsciboolean_la_rpath) $(libsciboolean_la_OBJECTS) $(libsciboolean_la_LIBADD) $(LIBS)
639
640 mostlyclean-compile:
641         -rm -f *.$(OBJEXT)
642
643 distclean-compile:
644         -rm -f *.tab.c
645
646 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciboolean_algo_la-matboolean.Plo@am__quote@
647 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciboolean_algo_la-vect_and.Plo@am__quote@
648 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciboolean_algo_la-vect_or.Plo@am__quote@
649 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciboolean_la-gw_boolean.Plo@am__quote@
650 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciboolean_la-sci_and.Plo@am__quote@
651 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciboolean_la-sci_bool2s.Plo@am__quote@
652 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciboolean_la-sci_find.Plo@am__quote@
653 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciboolean_la-sci_or.Plo@am__quote@
654
655 .c.o:
656 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
657 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
658 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
659 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
660 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
661
662 .c.obj:
663 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
664 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
665 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
666 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
667 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
668
669 .c.lo:
670 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
671 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
672 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
673 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
674 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
675
676 libsciboolean_algo_la-matboolean.lo: src/c/matboolean.c
677 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciboolean_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciboolean_algo_la-matboolean.lo -MD -MP -MF $(DEPDIR)/libsciboolean_algo_la-matboolean.Tpo -c -o libsciboolean_algo_la-matboolean.lo `test -f 'src/c/matboolean.c' || echo '$(srcdir)/'`src/c/matboolean.c
678 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciboolean_algo_la-matboolean.Tpo $(DEPDIR)/libsciboolean_algo_la-matboolean.Plo
679 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/matboolean.c' object='libsciboolean_algo_la-matboolean.lo' libtool=yes @AMDEPBACKSLASH@
680 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
681 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciboolean_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciboolean_algo_la-matboolean.lo `test -f 'src/c/matboolean.c' || echo '$(srcdir)/'`src/c/matboolean.c
682
683 libsciboolean_algo_la-vect_or.lo: src/c/vect_or.c
684 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciboolean_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciboolean_algo_la-vect_or.lo -MD -MP -MF $(DEPDIR)/libsciboolean_algo_la-vect_or.Tpo -c -o libsciboolean_algo_la-vect_or.lo `test -f 'src/c/vect_or.c' || echo '$(srcdir)/'`src/c/vect_or.c
685 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciboolean_algo_la-vect_or.Tpo $(DEPDIR)/libsciboolean_algo_la-vect_or.Plo
686 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/vect_or.c' object='libsciboolean_algo_la-vect_or.lo' libtool=yes @AMDEPBACKSLASH@
687 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
688 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciboolean_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciboolean_algo_la-vect_or.lo `test -f 'src/c/vect_or.c' || echo '$(srcdir)/'`src/c/vect_or.c
689
690 libsciboolean_algo_la-vect_and.lo: src/c/vect_and.c
691 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciboolean_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciboolean_algo_la-vect_and.lo -MD -MP -MF $(DEPDIR)/libsciboolean_algo_la-vect_and.Tpo -c -o libsciboolean_algo_la-vect_and.lo `test -f 'src/c/vect_and.c' || echo '$(srcdir)/'`src/c/vect_and.c
692 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciboolean_algo_la-vect_and.Tpo $(DEPDIR)/libsciboolean_algo_la-vect_and.Plo
693 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/vect_and.c' object='libsciboolean_algo_la-vect_and.lo' libtool=yes @AMDEPBACKSLASH@
694 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
695 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciboolean_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciboolean_algo_la-vect_and.lo `test -f 'src/c/vect_and.c' || echo '$(srcdir)/'`src/c/vect_and.c
696
697 libsciboolean_la-sci_and.lo: sci_gateway/c/sci_and.c
698 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciboolean_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciboolean_la-sci_and.lo -MD -MP -MF $(DEPDIR)/libsciboolean_la-sci_and.Tpo -c -o libsciboolean_la-sci_and.lo `test -f 'sci_gateway/c/sci_and.c' || echo '$(srcdir)/'`sci_gateway/c/sci_and.c
699 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciboolean_la-sci_and.Tpo $(DEPDIR)/libsciboolean_la-sci_and.Plo
700 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_and.c' object='libsciboolean_la-sci_and.lo' libtool=yes @AMDEPBACKSLASH@
701 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
702 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciboolean_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciboolean_la-sci_and.lo `test -f 'sci_gateway/c/sci_and.c' || echo '$(srcdir)/'`sci_gateway/c/sci_and.c
703
704 libsciboolean_la-sci_or.lo: sci_gateway/c/sci_or.c
705 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciboolean_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciboolean_la-sci_or.lo -MD -MP -MF $(DEPDIR)/libsciboolean_la-sci_or.Tpo -c -o libsciboolean_la-sci_or.lo `test -f 'sci_gateway/c/sci_or.c' || echo '$(srcdir)/'`sci_gateway/c/sci_or.c
706 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciboolean_la-sci_or.Tpo $(DEPDIR)/libsciboolean_la-sci_or.Plo
707 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_or.c' object='libsciboolean_la-sci_or.lo' libtool=yes @AMDEPBACKSLASH@
708 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
709 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciboolean_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciboolean_la-sci_or.lo `test -f 'sci_gateway/c/sci_or.c' || echo '$(srcdir)/'`sci_gateway/c/sci_or.c
710
711 libsciboolean_la-sci_find.lo: sci_gateway/c/sci_find.c
712 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciboolean_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciboolean_la-sci_find.lo -MD -MP -MF $(DEPDIR)/libsciboolean_la-sci_find.Tpo -c -o libsciboolean_la-sci_find.lo `test -f 'sci_gateway/c/sci_find.c' || echo '$(srcdir)/'`sci_gateway/c/sci_find.c
713 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciboolean_la-sci_find.Tpo $(DEPDIR)/libsciboolean_la-sci_find.Plo
714 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_find.c' object='libsciboolean_la-sci_find.lo' libtool=yes @AMDEPBACKSLASH@
715 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
716 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciboolean_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciboolean_la-sci_find.lo `test -f 'sci_gateway/c/sci_find.c' || echo '$(srcdir)/'`sci_gateway/c/sci_find.c
717
718 libsciboolean_la-sci_bool2s.lo: sci_gateway/c/sci_bool2s.c
719 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciboolean_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciboolean_la-sci_bool2s.lo -MD -MP -MF $(DEPDIR)/libsciboolean_la-sci_bool2s.Tpo -c -o libsciboolean_la-sci_bool2s.lo `test -f 'sci_gateway/c/sci_bool2s.c' || echo '$(srcdir)/'`sci_gateway/c/sci_bool2s.c
720 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciboolean_la-sci_bool2s.Tpo $(DEPDIR)/libsciboolean_la-sci_bool2s.Plo
721 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_bool2s.c' object='libsciboolean_la-sci_bool2s.lo' libtool=yes @AMDEPBACKSLASH@
722 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
723 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciboolean_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciboolean_la-sci_bool2s.lo `test -f 'sci_gateway/c/sci_bool2s.c' || echo '$(srcdir)/'`sci_gateway/c/sci_bool2s.c
724
725 libsciboolean_la-gw_boolean.lo: sci_gateway/c/gw_boolean.c
726 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciboolean_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciboolean_la-gw_boolean.lo -MD -MP -MF $(DEPDIR)/libsciboolean_la-gw_boolean.Tpo -c -o libsciboolean_la-gw_boolean.lo `test -f 'sci_gateway/c/gw_boolean.c' || echo '$(srcdir)/'`sci_gateway/c/gw_boolean.c
727 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciboolean_la-gw_boolean.Tpo $(DEPDIR)/libsciboolean_la-gw_boolean.Plo
728 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_boolean.c' object='libsciboolean_la-gw_boolean.lo' libtool=yes @AMDEPBACKSLASH@
729 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
730 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciboolean_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciboolean_la-gw_boolean.lo `test -f 'sci_gateway/c/gw_boolean.c' || echo '$(srcdir)/'`sci_gateway/c/gw_boolean.c
731
732 .f.o:
733         $(F77COMPILE) -c -o $@ $<
734
735 .f.obj:
736         $(F77COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
737
738 .f.lo:
739         $(LTF77COMPILE) -c -o $@ $<
740
741 logic.lo: src/fortran/logic.f
742         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o logic.lo `test -f 'src/fortran/logic.f' || echo '$(srcdir)/'`src/fortran/logic.f
743
744 find.lo: src/fortran/find.f
745         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o find.lo `test -f 'src/fortran/find.f' || echo '$(srcdir)/'`src/fortran/find.f
746
747 sci_f_bool2s.lo: sci_gateway/fortran/sci_f_bool2s.f
748         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o sci_f_bool2s.lo `test -f 'sci_gateway/fortran/sci_f_bool2s.f' || echo '$(srcdir)/'`sci_gateway/fortran/sci_f_bool2s.f
749
750 sci_f_find.lo: sci_gateway/fortran/sci_f_find.f
751         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o sci_f_find.lo `test -f 'sci_gateway/fortran/sci_f_find.f' || echo '$(srcdir)/'`sci_gateway/fortran/sci_f_find.f
752
753 mostlyclean-libtool:
754         -rm -f *.lo
755
756 clean-libtool:
757         -rm -rf .libs _libs
758 install-libsciboolean_la_etcDATA: $(libsciboolean_la_etc_DATA)
759         @$(NORMAL_INSTALL)
760         @list='$(libsciboolean_la_etc_DATA)'; test -n "$(libsciboolean_la_etcdir)" || list=; \
761         if test -n "$$list"; then \
762           echo " $(MKDIR_P) '$(DESTDIR)$(libsciboolean_la_etcdir)'"; \
763           $(MKDIR_P) "$(DESTDIR)$(libsciboolean_la_etcdir)" || exit 1; \
764         fi; \
765         for p in $$list; do \
766           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
767           echo "$$d$$p"; \
768         done | $(am__base_list) | \
769         while read files; do \
770           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciboolean_la_etcdir)'"; \
771           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciboolean_la_etcdir)" || exit $$?; \
772         done
773
774 uninstall-libsciboolean_la_etcDATA:
775         @$(NORMAL_UNINSTALL)
776         @list='$(libsciboolean_la_etc_DATA)'; test -n "$(libsciboolean_la_etcdir)" || list=; \
777         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
778         dir='$(DESTDIR)$(libsciboolean_la_etcdir)'; $(am__uninstall_files_from_dir)
779 install-libsciboolean_la_rootDATA: $(libsciboolean_la_root_DATA)
780         @$(NORMAL_INSTALL)
781         @list='$(libsciboolean_la_root_DATA)'; test -n "$(libsciboolean_la_rootdir)" || list=; \
782         if test -n "$$list"; then \
783           echo " $(MKDIR_P) '$(DESTDIR)$(libsciboolean_la_rootdir)'"; \
784           $(MKDIR_P) "$(DESTDIR)$(libsciboolean_la_rootdir)" || exit 1; \
785         fi; \
786         for p in $$list; do \
787           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
788           echo "$$d$$p"; \
789         done | $(am__base_list) | \
790         while read files; do \
791           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciboolean_la_rootdir)'"; \
792           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciboolean_la_rootdir)" || exit $$?; \
793         done
794
795 uninstall-libsciboolean_la_rootDATA:
796         @$(NORMAL_UNINSTALL)
797         @list='$(libsciboolean_la_root_DATA)'; test -n "$(libsciboolean_la_rootdir)" || list=; \
798         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
799         dir='$(DESTDIR)$(libsciboolean_la_rootdir)'; $(am__uninstall_files_from_dir)
800 install-libsciboolean_la_sci_gatewayDATA: $(libsciboolean_la_sci_gateway_DATA)
801         @$(NORMAL_INSTALL)
802         @list='$(libsciboolean_la_sci_gateway_DATA)'; test -n "$(libsciboolean_la_sci_gatewaydir)" || list=; \
803         if test -n "$$list"; then \
804           echo " $(MKDIR_P) '$(DESTDIR)$(libsciboolean_la_sci_gatewaydir)'"; \
805           $(MKDIR_P) "$(DESTDIR)$(libsciboolean_la_sci_gatewaydir)" || exit 1; \
806         fi; \
807         for p in $$list; do \
808           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
809           echo "$$d$$p"; \
810         done | $(am__base_list) | \
811         while read files; do \
812           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciboolean_la_sci_gatewaydir)'"; \
813           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciboolean_la_sci_gatewaydir)" || exit $$?; \
814         done
815
816 uninstall-libsciboolean_la_sci_gatewayDATA:
817         @$(NORMAL_UNINSTALL)
818         @list='$(libsciboolean_la_sci_gateway_DATA)'; test -n "$(libsciboolean_la_sci_gatewaydir)" || list=; \
819         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
820         dir='$(DESTDIR)$(libsciboolean_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
821
822 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
823         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
824         unique=`for i in $$list; do \
825             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
826           done | \
827           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
828               END { if (nonempty) { for (i in files) print i; }; }'`; \
829         mkid -fID $$unique
830 tags: TAGS
831
832 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
833                 $(TAGS_FILES) $(LISP)
834         set x; \
835         here=`pwd`; \
836         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
837         unique=`for i in $$list; do \
838             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
839           done | \
840           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
841               END { if (nonempty) { for (i in files) print i; }; }'`; \
842         shift; \
843         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
844           test -n "$$unique" || unique=$$empty_fix; \
845           if test $$# -gt 0; then \
846             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
847               "$$@" $$unique; \
848           else \
849             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
850               $$unique; \
851           fi; \
852         fi
853 ctags: CTAGS
854 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
855                 $(TAGS_FILES) $(LISP)
856         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
857         unique=`for i in $$list; do \
858             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
859           done | \
860           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
861               END { if (nonempty) { for (i in files) print i; }; }'`; \
862         test -z "$(CTAGS_ARGS)$$unique" \
863           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
864              $$unique
865
866 GTAGS:
867         here=`$(am__cd) $(top_builddir) && pwd` \
868           && $(am__cd) $(top_srcdir) \
869           && gtags -i $(GTAGS_ARGS) "$$here"
870
871 distclean-tags:
872         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
873
874 distdir: $(DISTFILES)
875         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
876         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
877         list='$(DISTFILES)'; \
878           dist_files=`for file in $$list; do echo $$file; done | \
879           sed -e "s|^$$srcdirstrip/||;t" \
880               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
881         case $$dist_files in \
882           */*) $(MKDIR_P) `echo "$$dist_files" | \
883                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
884                            sort -u` ;; \
885         esac; \
886         for file in $$dist_files; do \
887           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
888           if test -d $$d/$$file; then \
889             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
890             if test -d "$(distdir)/$$file"; then \
891               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
892             fi; \
893             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
894               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
895               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
896             fi; \
897             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
898           else \
899             test -f "$(distdir)/$$file" \
900             || cp -p $$d/$$file "$(distdir)/$$file" \
901             || exit 1; \
902           fi; \
903         done
904 check-am: all-am
905         $(MAKE) $(AM_MAKEFLAGS) check-local
906 check: check-am
907 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
908 installdirs:
909         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciboolean_la_etcdir)" "$(DESTDIR)$(libsciboolean_la_rootdir)" "$(DESTDIR)$(libsciboolean_la_sci_gatewaydir)"; do \
910           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
911         done
912 install: install-am
913 install-exec: install-exec-am
914 install-data: install-data-am
915 uninstall: uninstall-am
916
917 install-am: all-am
918         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
919
920 installcheck: installcheck-am
921 install-strip:
922         if test -z '$(STRIP)'; then \
923           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
924             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
925               install; \
926         else \
927           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
928             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
929             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
930         fi
931 mostlyclean-generic:
932
933 clean-generic:
934
935 distclean-generic:
936         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
937         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
938
939 maintainer-clean-generic:
940         @echo "This command is intended for maintainers to use"
941         @echo "it deletes files that may require special tools to rebuild."
942 clean: clean-am
943
944 clean-am: clean-generic clean-libtool clean-local \
945         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
946
947 distclean: distclean-am
948         -rm -rf ./$(DEPDIR)
949         -rm -f Makefile
950 distclean-am: clean-am distclean-compile distclean-generic \
951         distclean-local distclean-tags
952
953 dvi: dvi-am
954
955 dvi-am:
956
957 html: html-am
958
959 html-am:
960
961 info: info-am
962
963 info-am:
964
965 install-data-am: install-data-local install-libsciboolean_la_etcDATA \
966         install-libsciboolean_la_rootDATA \
967         install-libsciboolean_la_sci_gatewayDATA
968
969 install-dvi: install-dvi-am
970
971 install-dvi-am:
972
973 install-exec-am: install-pkglibLTLIBRARIES
974
975 install-html: install-html-am
976
977 install-html-am: install-html-local
978
979 install-info: install-info-am
980
981 install-info-am:
982
983 install-man:
984
985 install-pdf: install-pdf-am
986
987 install-pdf-am:
988
989 install-ps: install-ps-am
990
991 install-ps-am:
992
993 installcheck-am:
994
995 maintainer-clean: maintainer-clean-am
996         -rm -rf ./$(DEPDIR)
997         -rm -f Makefile
998 maintainer-clean-am: distclean-am maintainer-clean-generic
999
1000 mostlyclean: mostlyclean-am
1001
1002 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1003         mostlyclean-libtool
1004
1005 pdf: pdf-am
1006
1007 pdf-am:
1008
1009 ps: ps-am
1010
1011 ps-am:
1012
1013 uninstall-am: uninstall-libsciboolean_la_etcDATA \
1014         uninstall-libsciboolean_la_rootDATA \
1015         uninstall-libsciboolean_la_sci_gatewayDATA \
1016         uninstall-pkglibLTLIBRARIES
1017
1018 .MAKE: check-am install-am install-strip
1019
1020 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1021         clean clean-generic clean-libtool clean-local \
1022         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES ctags \
1023         distclean distclean-compile distclean-generic \
1024         distclean-libtool distclean-local distclean-tags distdir dvi \
1025         dvi-am html html-am info info-am install install-am \
1026         install-data install-data-am install-data-local install-dvi \
1027         install-dvi-am install-exec install-exec-am install-html \
1028         install-html-am install-html-local install-info \
1029         install-info-am install-libsciboolean_la_etcDATA \
1030         install-libsciboolean_la_rootDATA \
1031         install-libsciboolean_la_sci_gatewayDATA install-man \
1032         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1033         install-ps install-ps-am install-strip installcheck \
1034         installcheck-am installdirs maintainer-clean \
1035         maintainer-clean-generic mostlyclean mostlyclean-compile \
1036         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1037         tags uninstall uninstall-am uninstall-libsciboolean_la_etcDATA \
1038         uninstall-libsciboolean_la_rootDATA \
1039         uninstall-libsciboolean_la_sci_gatewayDATA \
1040         uninstall-pkglibLTLIBRARIES
1041
1042
1043 # This target enables tests for Scilab
1044 check-local: $(top_builddir)/scilab-bin test
1045         if test -d $(mydatadir)/tests; then \
1046           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1047         fi
1048 check-code:
1049         if test -f build.xml; then \
1050                 $(ANT) checkstyle; \
1051         fi
1052         if test -x "$(SPLINT)"; then \
1053                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1054         fi
1055 @NEED_JAVA_TRUE@java:
1056 # Some configurations needs to export JAVA_HOME in the current env
1057 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1058 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1059 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1060 @NEED_JAVA_TRUE@                $(ANT); \
1061 @NEED_JAVA_TRUE@        fi
1062
1063 @NEED_JAVA_TRUE@clean-java:
1064 # Some configurations needs to export JAVA_HOME in the current env
1065 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1066 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1067 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1068 @NEED_JAVA_TRUE@                $(ANT) clean; \
1069 @NEED_JAVA_TRUE@        fi;
1070
1071 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1072 # We call the target swig-build on the variable SWIG_WRAPPERS
1073
1074 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1075 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1076 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1077 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1078 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1079 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1080 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1081 @SWIG_TRUE@             done; \
1082 @SWIG_TRUE@     fi
1083
1084 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1085 # We call the target swig-build on the variable SWIG_WRAPPERS
1086
1087 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1088 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1089 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1090 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1091 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1092 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1093 @GIWS_TRUE@             done; \
1094 @GIWS_TRUE@     fi
1095
1096 @GIWS_TRUE@giws-exception:
1097 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1098 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1099 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1100
1101 macros:
1102         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1103                 echo "Error : Cannot build $< : Scilab has not been built"; \
1104         else \
1105                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1106         fi)
1107
1108 # Removes the macros
1109 clean-macros:
1110 # Removes macros (*.bin generated from .sci)
1111         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1112                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1113                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1114         done
1115
1116 test:
1117 # More tests could be added here
1118         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1119         if test -f build.xml -a $$USEANT -eq 1; then \
1120                 $(ANT) test; \
1121         fi
1122
1123 all-local: $(TARGETS_ALL)
1124
1125 .sci.bin:
1126         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1127         echo "Error : Cannot build $< : Scilab has not been build"; \
1128         else \
1129         echo "Creating $@"; \
1130         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1131         fi )
1132
1133 install-html-local:
1134
1135 install-data-local-local:
1136 # Mainly for javasci
1137         @if test -d $(srcdir)/javadoc; then \
1138                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1139         fi
1140 # If the user wants the help sources to be installed
1141 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1142 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1143 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1144 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1145 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1146 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1147 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1148 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1149 @INSTALL_HELP_XML_TRUE@           done ; \
1150 @INSTALL_HELP_XML_TRUE@         fi; \
1151 @INSTALL_HELP_XML_TRUE@  fi; \
1152 @INSTALL_HELP_XML_TRUE@ done; \
1153 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1154 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1155 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1156 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1157 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1158 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1159 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1160 @INSTALL_HELP_XML_TRUE@           done ; \
1161 @INSTALL_HELP_XML_TRUE@         fi; \
1162 @INSTALL_HELP_XML_TRUE@ fi
1163 install-data-local:
1164 # Install the tests
1165         @echo "-------- Install tests (if any) --------"; \
1166         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1167           if test -d $(srcdir)/$$dir/; then \
1168             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1169                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1170                     if test -d "$(srcdir)/$$dir/$$file"; then \
1171                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1172                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1173                     else \
1174                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1175                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1176                     fi \
1177                   done; \
1178           fi; \
1179         done
1180 # Install the help chapter
1181         @echo "-------- Install the help chapter (if any) --------"; \
1182         for lang in $(HELP_CHAPTERLANG); do \
1183                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1184                 if test -f $$HELPFILE; then \
1185                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1186                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1187                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1188                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1189                 fi; \
1190         done
1191 # Install the demos & examples
1192         @echo "-------- Install demos & examples (if any) --------"; \
1193         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1194           if test -d $(srcdir)/$$dir/; then \
1195             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1196                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1197                     if test -d "$(srcdir)/$$dir/$$file"; then \
1198                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1199                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1200                     else \
1201                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1202                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1203                     fi \
1204                   done; \
1205           fi; \
1206         done
1207 # Install the macros
1208         @echo "-------- Install macros (if any) --------"; \
1209         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1210           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1211                 if test -d $(srcdir)/$$dir/; then \
1212                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1213                         if test -n "$(MACROSSPECIALEXT)"; then \
1214                                 specialExtDir=""; \
1215                                 for specialExt in $(MACROSSPECIALEXT); do \
1216                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1217                                 done; \
1218                                 FILELIST="$$FILELIST $$specialExtDir"; \
1219                         fi; \
1220                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1221                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1222                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1223                   done; \
1224                 fi; \
1225         done
1226 # Install java files (.jar)
1227         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1228         echo "-------- Install jar files --------"; \
1229     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1230           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1231                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1232                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1233           done ; \
1234         fi
1235
1236 ########### CLEAN ###################
1237 # Clean help (generated automatically by Scilab)
1238 # It used to clean the macro (clean-macros) but this was causing
1239 # make clean && make to fail Scilab startup
1240 @NEED_JAVA_TRUE@clean-local: clean-java
1241 @NEED_JAVA_FALSE@clean-local:
1242
1243 distclean-local:
1244         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1245
1246 .PHONY: macros java swig giws
1247
1248 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1249 # Otherwise a system limit (for SysV at least) may be exceeded.
1250 .NOEXPORT: